modssl_ctx_t Struct Reference
module AP_MODULE_DECLARE_DATA

`#include <canl_mod_ssl-private.h>`

## Data Fields

void * | sc
SSL_CTX * | ssl_ctx
void * | pks
void * | pkp
int | protocol
int | pphrase_dialog_type
const char * | pphrase_dialog_path
const char * | cert_chain
const char * | crl_path
const char * | crl_file
X509_STORE * | crl
modssl_auth_ctx_t | auth

## Field Documentation

## auth

modssl_auth_ctx_t modssl_ctx_t::auth

## cert_chain

const char* modssl_ctx_t::cert_chain

## crl

X509_STORE* modssl_ctx_t::crl

## crl_file

const char* modssl_ctx_t::crl_file

## crl_path

const char* modssl_ctx_t::crl_path

## pkp

void* modssl_ctx_t::pkp

## pks

void* modssl_ctx_t::pks

## pphrase_dialog_path

const char* modssl_ctx_t::pphrase_dialog_path

## pphrase_dialog_type

int modssl_ctx_t::pphrase_dialog_type

## protocol

int modssl_ctx_t::protocol

## sc

void* modssl_ctx_t::sc

## ssl_ctx

SSL_CTX* modssl_ctx_t::ssl_ctx